Bug 218559 (cmake-3.8.0) - [exp-run] Update cmake to 3.8.0
Summary: [exp-run] Update cmake to 3.8.0
Status: Closed FIXED
Alias: cmake-3.8.0
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Tobias C. Berner
URL: https://reviews.freebsd.org/D9557
Keywords:
Depends on:
Blocks:
 
Reported: 2017-04-11 06:16 UTC by Tobias C. Berner
Modified: 2017-04-19 15:08 UTC (History)
1 user (show)

See Also:


Attachments
Update cmake&Co to 3.8.0 (39.01 KB, patch)
2017-04-11 06:16 UTC, Tobias C. Berner
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Tobias C. Berner freebsd_committer 2017-04-11 06:16:44 UTC
Created attachment 181678 [details]
Update cmake&Co to 3.8.0

kde@ would like to ask for an exp-run to update cmake to 3.8.0.

The patch is attached, and can also be found here:
http://people.freebsd.org/~tcberner/patches/cmake-3.8.0.v1.diff
Comment 3 Antoine Brodin freebsd_committer 2017-04-18 08:58:23 UTC
Since there is only 1 new failure and it's a kde port i let you fix it.
Comment 4 commit-hook freebsd_committer 2017-04-19 15:06:03 UTC
A commit references this bug:

Author: tcberner
Date: Wed Apr 19 15:05:01 UTC 2017
New revision: 438884
URL: https://svnweb.freebsd.org/changeset/ports/438884

Log:
  Update cmake and friends to 3.8.0

  * add patch for finance/kmymoney-kde4
  * change patch in irc/irssi-fish as pkgconfig handling has changed.

  PR:		218559
  Exp-run by:	antoine
  Reviewed by:	mat, rakuco
  Approved by:	rakuco (mentor)
  Differential Revision:	https://reviews.freebsd.org/D9557

Changes:
  head/devel/cmake/Makefile
  head/devel/cmake/distinfo
  head/devel/cmake/pkg-plist
  head/devel/cmake-doc/Makefile
  head/devel/cmake-doc/files/
  head/devel/cmake-doc/pkg-plist
  head/devel/cmake-gui/Makefile
  head/devel/cmake-modules/pkg-plist
  head/finance/kmymoney-kde4/files/patch-kmymoney_plugins_onlinetasks_national_CMakeLists.txt
  head/finance/kmymoney-kde4/files/patch-kmymoney_plugins_onlinetasks_sepa_CMakeLists.txt
  head/irc/irssi-fish/Makefile
  head/irc/irssi-fish/files/
  head/irc/irssi-fish/files/patch-CMakeLists.txt
Comment 5 Tobias C. Berner freebsd_committer 2017-04-19 15:08:18 UTC
Thanks for the exp-run.